25 Października 2021 12:18:10
Nawigacja
· Strona Główna
· Forum

· Tomato by Shibby
· FreshTomato


Wątki na forum
Najnowsze dyskusje
· Jak się pozbyć rou...
· Dostęp do LAN poprz...
· [MOD] FreshTomato-MI...
· Przepustowość łą...
· [MOD] FreshTomato-AR...
· [Sptrzedam] Qnap TS-...
· Problemy z WiFi
· [S] ASUS RT-AC66U
· Jaki router wybrać-...
· [HOWTO] Kompilacja "...
· Włączenie interfej...
· Własny NAS na Xpeno...
· pi-hole na tomato?
· Słaby zasięg Synol...
· IPS i EoIP
· Asus RT-AX55 vs RT-A...
· Udostępnienie inter...
· Proxmox pytania
· niepoprawny timestam...
· OpenVPN - problem z ...
Najpopularniejsze obecnie wątki
· [MOD] FreshTomato... [642]
· [MOD] FreshTomato... [333]
· Jaki router wybra... [55]
· Przepustowość ... [14]
· Jak się pozbyć ... [9]
· [S] ASUS RT-AC66U [4]
· Dostęp do LAN po... [3]
· Problemy z WiFi [2]
· [Sptrzedam] Qnap ... [0]
Ankieta
Jaki procesor posiada twój router?

Broadcom MIPSEL
Broadcom MIPSEL
37% [146 głosów]

Broadcom ARM
Broadcom ARM
52% [204 głosów]

Atheros
Atheros
5% [21 głosów]

Marvell
Marvell
1% [4 głosów]

Ralink
Ralink
1% [2 głosów]

Intel/AMD/VIA
Intel/AMD/VIA
1% [4 głosów]

Żaden z powyższych
Żaden z powyższych
3% [12 głosów]

Ogółem głosów: 393
Musisz zalogować się, aby móc zagłosować.
Rozpoczęto: 02/02/2015 09:38
Twoje IP
44.192.54.67
Zobacz wątek
OpenLinksys » :: POZOSTAŁE :: » Free zone
 Drukuj wątek
MAC OS X > Ruby > update
qrs
słuchajcie, chyba openssl mi się wywalił na Homebrew :@

kiedy chcę zaktualizować pakiety:

Cytat

sudo gem update


terminal opluwa mnie komunikatem:

Cytat

Updating installed gems
Updating libxml-ruby
Building native extensions. This could take a while...
ERROR: Error installing libxml-ruby:
ERROR: Failed to build gem native extension.

current directory: /Library/Ruby/Gems/2.6.0/gems/libxml-ruby-3.2.0/ext/libxml
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby -I /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0 -r ./siteconf20200625-91131-1va8p4j.rb extconf.rb
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby: warning: shebang line ending with \r may cause problems
checking for libxml/xmlversion.h in /opt/include/libxml2,/opt/local/include/libxml2,/usr/local/include/libxml2,/usr/include/libxml2,/usr/local/include... no
checking for xmlParseDoc() in -lxml2... yes
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers. Check the mkmf.log file for more details. You may
need configuration options.

Provided configuration options:
--with-opt-dir
--without-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/$(RUBY_BASE_NAME)
--with-xml2-config
--without-xml2-config
--with-xml2-dir
--without-xml2-dir
--with-xml2-include
--without-xml2-include=${xml2-dir}/include
--with-xml2-lib
--without-xml2-lib=${xml2-dir}/lib
--with-xml2lib
--without-xml2lib
extconf failure: Cannot find libxml2.

Install the library or try one of the following options to extconf.rb:

--with-xml2-config=/path/to/xml2-config
--with-xml2-dir=/path/to/libxml2
--with-xml2-lib=/path/to/libxml2/lib
--with-xml2-include=/path/to/libxml2/include


To see why this extension failed to compile, please check the mkmf.log which can be found here:

/Library/Ruby/Gems/2.6.0/extensions/universal-darwin-19/2.6.0/libxml-ruby-3.2.0/mkmf.log

extconf failed, exit code 1

Gem files will remain installed in /Library/Ruby/Gems/2.6.0/gems/libxml-ruby-3.2.0 for inspection.
Results logged to /Library/Ruby/Gems/2.6.0/extensions/universal-darwin-19/2.6.0/libxml-ruby-3.2.0/gem_make.out
Updating openssl
Building native extensions. This could take a while...
ERROR: Error installing openssl:
ERROR: Failed to build gem native extension.

Gem files will remain installed in /Library/Ruby/Gems/2.6.0/gems/openssl-2.2.0 for inspection.
Results logged to /Library/Ruby/Gems/2.6.0/extensions/universal-darwin-19/2.6.0/openssl-2.2.0/gem_make.out
Gems updated: libxml-ruby openssl


spotkał się ktoś z podobnym problemem?

log /Library/Ruby/Gems/2.6.0/extensions/universal-darwin-19/2.6.0/openssl-2.2.0/gem_make.out

Cytat

current directory: /Library/Ruby/Gems/2.6.0/gems/openssl-2.2.0/ext/openssl
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby -I /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0 -r ./siteconf20200625-91208-1cznbua.rb extconf.rb
checking for t_open() in -lnsl... no
checking for socket() in -lsocket... no
checking for openssl/ssl.h... no
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers. Check the mkmf.log file for more details. You may
need configuration options.

Provided configuration options:
--with-opt-dir
--without-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/$(RUBY_BASE_NAME)
--with-openssl-dir
--with-openssl-include
--without-openssl-include=${openssl-dir}/include
--with-openssl-lib
--without-openssl-lib=${openssl-dir}/lib
--with-kerberos-dir
--without-kerberos-dir
--with-kerberos-include
--without-kerberos-include=${kerberos-dir}/include
--with-kerberos-lib
--without-kerberos-lib=${kerberos-dir}/lib
--with-debug
--without-debug
--enable-debug
--disable-debug
--with-nsllib
--without-nsllib
--with-socketlib
--without-socketlib
--with-openssl-config
--without-openssl-config
--with-pkg-config
--without-pkg-config
extconf.rb:99:in `
': OpenSSL library could not be found. You might want to use --with-openssl-dir= option to specify the prefix where OpenSSL is installed. (RuntimeError)


Połączony z 26 czerwca 2020 18:17:01:
chyba rozwiązałem problem dodając

Cytat

export PATH="/usr/local/opt/ruby/bin:$PATH"

do .bash_profile i wtedy update kończy się sukcesem

Cytat

Updating openssl
Fetching openssl-2.2.0.gem
Building native extensions. This could take a while...
Successfully installed openssl-2.2.0
Parsing documentation for openssl-2.2.0
Installing ri documentation for openssl-2.2.0
Installing darkfish documentation for openssl-2.2.0
Done installing documentation for openssl after 4 seconds
Parsing documentation for openssl-2.2.0
Done installing documentation for openssl after 0 seconds

więc jak ktoś potrzebuje to moża korzystać ;)
Edytowany przez qrs dnia 26-06-2020 18:17
---
Netgear R7000Netgear WNR3500L v2MikroTik hAP ac^2TP-LINK M7650
 
Przejdź do forum
Zaloguj
Wprowadź adres e-mail lub nazwę użytkownika

Hasło



Nie masz jeszcze konta? Zarejestruj się.

Zapomniałeś/aś hasła?
Aktualnie online
· Gości online: 19

· Użytkowników online: 0

· Łącznie użytkowników: 24,040
· Najnowszy użytkownik: mucha76
Czat
Musisz się zalogować, aby opublikować wiadomość.

AdrianAdi
05-10-2021 23:03
Przymierzam się do kupna takiego i mam kilka pytań z tym zwoązanych

AdrianAdi
05-10-2021 23:02
Jest tu kto?

AdrianAdi
05-10-2021 22:59
Witam mam pytanie odnośnie routerów gamingowych do ps4 czyli konsoli

Maniek91PL
04-09-2021 10:34
Wink super ! Dzięki ! Adooni ! już testuje co i jak

Adooni
04-09-2021 06:31
sprawdzasz w status - overview, a zmieniasz w Basic - Network

Maniek91PL
03-09-2021 22:37
jak sprawdzić i zmienić kanał w wifi 2.4 w tomato ? Shock

goof3r
23-07-2021 16:21
Mi chodziło w sekcji VPN bo w WAN to nic mi nie da jak zmienie....

Adooni
22-07-2021 21:34
nie mam pod reka FT ale powinno to byc w WAN Settings -Type - L2TP. Jest tam tez pole L2TP Server

goof3r
22-07-2021 20:08
Witam, takie małe pytanie mam, czy w najnowszej wersji freshtomato jest możliwosć postawienia serwera/klienta VPN L2TP ?

Maniek91PL
20-07-2021 13:55
potwierdzam, wyczyściłem przeglądarkę, działa teraz prawidłowo na najnowszym freshtomato ! Dzięki jeszcze raz

45,625,319 unikalnych wizyt